package com.yonge.cooleshow.biz.dal.queryInfo;

import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import com.yonge.toolset.mybatis.page.QueryInfo;

/**
 * Description
 *
 * @author: feng-ji
 * @date: 2021-12-20
 */
public class SysManualQueryInfo  extends QueryInfo {

    private Integer id;

    @ApiModelProperty(value = "按菜单查询")
    private Integer menuId;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty(value = "状态 0：禁用 1：启用")
    private YesOrNoEnum status;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
}
